<?php
defined('ABSPATH') or die;
//require_once( ABSPATH . 'wp-admin/admin.php' );

//Our class extends the WP_List_Table class, so we need to make sure that it's there
if (!class_exists('SlideshowckListTable')) {
	require_once(SLIDESHOWCK_PATH . '/includes/class.list-table.php');
}

if (!class_exists('SlideshowckListTableGeneral')) {
	require_once(SLIDESHOWCK_PATH . '/includes/class.list-table.general.php');
}

//Prepare Table of elements
$wp_list_table = new SlideshowckListTableGeneral();
$wp_list_table->prepare_items();
?>
<link rel="stylesheet" type="text/css" href="<?php echo SLIDESHOWCK_MEDIA_URL ?>/assets/slideshowck_edit.css" media="all" />
<div class="wrap">
	<?php if ($this->check_proaddon_version()) : ?><a href="http://www.wp-pluginsck.com" class="ckbutton" target="_blank"><img class="ckicon" src="<?php echo SLIDESHOWCK_MEDIA_URL ?>/images/exclamation.png" /><span style="color: red;"><?php _e('Pro Addon must be updated !','slideshow-ck') ?></span></a><?php endif; ?>
	<img src="<?php echo SLIDESHOWCK_MEDIA_URL ?>/images/logo_slideshowck_64.png" style="float:right; margin: 0px 5px;" />
	<h2>Slideshow CK
<?php
	echo ' <a href="admin.php?page=slideshowck_edit&id=0" class="add-new-h2">' . __('Add New', 'slideshow-ck') . '</a>';
?>
	<a type="button" class="button" href="https://www.wp-pluginsck.com/en/download/view_document/134-slideshow-ck-documentation" target="_blank" style="vertical-align: text-bottom;"><img src="<?php echo SLIDESHOWCK_MEDIA_URL ?>/images/page_white_acrobat.png" style="width:16px;height:16px;vertical-align:text-bottom;" /> <?php _e('Documentation'); ?></a>
	<?php if (! $this->ispro) { ?>
	<a type="button" class="button" href="https://www.wp-pluginsck.com/en/wordpress-plugins/slideshow-ck" target="_blank" style="vertical-align: text-bottom;"><img src="<?php echo SLIDESHOWCK_MEDIA_URL ?>/images/star.png" style="width:16px;height:16px;vertical-align:text-bottom;" /> <?php _e('Pro version'); ?></a>
	<?php } ?>
	</h2>
	<div style="clear:both;"></div>
	<form id="filter" method="get">
		<input type="hidden" name="page" value="<?php echo esc_attr( $_REQUEST['page'] ) ?>" />
		<input type="hidden" name="post_status" class="post_status_page" value="<?php echo!empty($_REQUEST['post_status']) ? esc_attr($_REQUEST['post_status']) : 'all'; ?>" />
		<input type="hidden" name="post_type" class="post_type_page" value="slideshowck" />
<?php
$wp_list_table->display()
?>
	</form>
	<?php echo $this->copyright() ?>
</div>